Macaulay2 » Documentation
Packages » GradedLieAlgebras :: numgens(LieAlgebra)
next | previous | forward | backward | up | index | toc

# numgens(LieAlgebra) -- get the number of generators

- Function: numgens
- Usage:
    `x=numgens(L)`
- Inputs:
  - L, an instance of the type LieAlgebra,
- Outputs:
  - x, an integer, the number of generators of $L$

## Description

    i1 : L=lieAlgebra{a,b,c}

    o1 = L

    o1 : LieAlgebra

    i2 : numgens L

    o2 = 3

## See also

- describe(LieAlgebra) -- real description

## Ways to use this method:

- numgens(LieAlgebra) -- get the number of generators

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/GradedLieAlgebras/doc2.m2:2590:0.